curl -X GET "https://api.danubeai.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
[
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"is_active": true,
"description": "Production monitoring",
"created_at": "2026-02-20T10:00:00Z",
"updated_at": "2026-02-20T10:00:00Z"
}
]
Webhooks
List Webhooks
List all webhooks for the authenticated user
GET
/
v1
/
webhooks
curl -X GET "https://api.danubeai.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
[
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"is_active": true,
"description": "Production monitoring",
"created_at": "2026-02-20T10:00:00Z",
"updated_at": "2026-02-20T10:00:00Z"
}
]
Overview
Returns all webhooks registered by the authenticated user, sorted by creation date (newest first). Auth: Requires JWT token (Authorization: Bearer <token>).
Response
Returns an array of webhook objects.string
Webhook UUID
string
The HTTPS endpoint that receives webhook deliveries
string[]
Event types this webhook is subscribed to
boolean
Whether the webhook is currently active
string
Optional description
string
ISO 8601 timestamp
string
ISO 8601 timestamp
Example
curl -X GET "https://api.danubeai.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
[
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"is_active": true,
"description": "Production monitoring",
"created_at": "2026-02-20T10:00:00Z",
"updated_at": "2026-02-20T10:00:00Z"
}
]
